/* Фиксированная кнопка */
            .chat-button {
                position: fixed;
                bottom: 20px;
                right: 20px;
                z-index: 1000;
                background-color: #e1efea;
                color: white;
                border: none;
                border-radius: 50%;
                width: 60px;
                height: 60px;
                font-size: 24px;
                cursor: pointer;
                box-shadow: 0 4px 8px rgba(0, 0, 0, 0.3);
                transition: background-color 0.3s;
            }
    
            .chat-button:hover {
                background-color: #3c7770;
            }
    
            /* Окно чата */
            .chat-popup {
                display: none;
                flex-direction: column;
                position: fixed;
                bottom: 90px;
                right: 20px;
                width: 300px;
                height: 415px;
                background-color: white;
                border: 1px solid #ccc;
                border-radius: 8px;
                box-shadow: 0 8px 16px rgba(0, 0, 0, 0.3);
                z-index: 1000;
                overflow: hidden;
            }
    
            .chat-popup.open {
                display: flex;
            }
    
            .chat-header {
                background-image: radial-gradient(circle at center, #3c7770 0%, #1f3436 60%, #0c1a1d 100%);
                color: white;
                padding: 10px;
                font-size: 16px;
            }
    
            .chat-body {
                flex: 1;
                padding: 10px;
                overflow-y: auto;
                height: 270px;
            }
    
            .chat-input, .chat-start {
                padding: 20px;
                border-top: 1px solid #ccc;
                background-color: white;
            }
    
            .chat-input {
                display: none;
            }
    
            .chat-input input {
                width: 100%;
                padding: 8px;
                box-sizing: border-box;
            }

            .chat-message {
                display: inline-block;
                max-width: 70%;
                margin: 8px;
                padding: 10px 14px;
                border-radius: 16px;
                font-size: 14px;
                word-break: break-word;
            }
            
            .chat-message.incoming {
                background-color: #f1f0f0;
                border-bottom-left-radius: 0;
                float: left;
                text-align: left;
                clear: both;
            }
            
            .chat-message.outgoing {
                background-color: #dcf8c6;
                border-bottom-right-radius: 0;
                float: right;
                text-align: right;
                clear: both;
            }
    
            .chat-start input {
                margin-bottom: 25px;
                padding: 8px;
                width: 100%;
                box-sizing: border-box;
            }
    
            .chat-start button {
                width: 100%;
                padding: 8px;
                background-image: radial-gradient(circle at center, #3c7770 0%, #1f3436 60%, #0c1a1d 100%);
                color: white;
                border: none;
                border-radius: 4px;
                cursor: pointer;
            }
    
            .chat-start button:hover {
                background-color: #0056b3;
            }
    
            /* кастомный скролл */
            .chat-body::-webkit-scrollbar {
                width: 6px;
            }
    
            .chat-body::-webkit-scrollbar-thumb {
                background-color: #888;
                border-radius: 4px;
            }
    
            .chat-body::-webkit-scrollbar-thumb:hover {
                background-color: #555;
            }